from django import template

register = template.Library()

@register.filter
def is_image(mime_type):
    """
    A function that takes the mime type as input and returns true if it is an image
    """
    return mime_type.startswith("image/")


@register.filter
def is_video(mime_type):
    """
    A function that takes the mime type as input and returns true if it is an video
    """
    return mime_type.startswith("video/")


@register.filter
def is_flash(mime_type):
    """
    A function that takes the mime type as input and returns true if it is an flash
    """

    valid_flash_mime_types = [
        "application/vnd.adobe.flash.movie",
        "application/x-shockwave-flash",
        "application/futuresplash",
        "application/x-swf",
    ]

    for valid_type in valid_flash_mime_types:
        if valid_type in mime_type:
            return True
    return False


@register.filter
def is_pdf(mime_type):
    """
    A function that takes the mime type as input and returns true if it is an pdf
    """
    valid_pdf_mime_types = [
        "application/pdf",
        "application/vnd.cups-pdf",
        "application/x-pdf",
    ]

    for valid_type in valid_pdf_mime_types:
        if valid_type in mime_type:
            return True

    return False
